| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
_funnel_ops_t Struct Reference

## Public Attributes
funnel_ops_id_t * | ops_id
funnel_text_window_t *(* | new_text_window )(funnel_ops_id_t *ops_id, const char *label)
void(* | set_text )(funnel_text_window_t *win, const char *text)
void(* | append_text )(funnel_text_window_t *win, const char *text)
void(* | prepend_text )(funnel_text_window_t *win, const char *text)
void(* | clear_text )(funnel_text_window_t *win)
const char *(* | get_text )(funnel_text_window_t *win)
void(* | set_close_cb )(funnel_text_window_t *win, text_win_close_cb_t cb, void *data)
void(* | set_editable )(funnel_text_window_t *win, bool editable)
void(* | destroy_text_window )(funnel_text_window_t *win)
void(* | add_button )(funnel_text_window_t *win, funnel_bt_t *cb, const char *label)
void(* | new_dialog )(funnel_ops_id_t *ops_id, const char *title, const char **field_names, const char **field_values, funnel_dlg_cb_t dlg_cb, void *data, funnel_dlg_cb_data_free_t dlg_cb_data_free)
void(* | close_dialogs )(void)
void(* | retap_packets )(funnel_ops_id_t *ops_id)
void(* | copy_to_clipboard )(GString *str)
const char *(* | get_filter )(funnel_ops_id_t *ops_id)
void(* | set_filter )(funnel_ops_id_t *ops_id, const char *filter)
char *(* | get_color_filter_slot )(uint8_t filt_nr)
void(* | set_color_filter_slot )(uint8_t filt_nr, const char *filter)
bool(* | open_file )(funnel_ops_id_t *ops_id, const char *fname, const char *filter, char **error)
void(* | reload_packets )(funnel_ops_id_t *ops_id)
void(* | redissect_packets )(funnel_ops_id_t *ops_id)
void(* | reload_lua_plugins )(funnel_ops_id_t *ops_id)
void(* | apply_filter )(funnel_ops_id_t *ops_id)
bool(* | browser_open_url )(const char *url)
void(* | browser_open_data_file )(const char *filename)
struct progdlg *(* | new_progress_window )(funnel_ops_id_t *ops_id, const char *label, const char *task, bool terminate_is_stop, bool *stop_flag)
void(* | update_progress )(struct progdlg *, float pr, const char *task)
void(* | destroy_progress_window )(struct progdlg *)

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/epan/funnel.h